%define name	plasma-applet-daisy
%define version	0.0.4.20
%define release	%mkrel 1
%define Summary	 "Daisy" is a simple application launcher for Plasma


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://daisyplasma.freehostia.com/downloads/%{name}-%{version}.tar.gz
# Fix categories according to http://techbase.kde.org/Projects/Plasma/PIG#Category_Names
# patch sent upstream
Patch0:		plasma-applet-daisy-fix-categories.patch
License:	GPLv3
Group:		Graphical desktop/KDE
URL:		http://daisyplasma.freehostia.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	plasma-devel
BuildRequires:	kdebase4-workspace-devel
Provides:	plasma-applet

%description
Daisy is a  free open-source widget for Plasma/KDE released under the
GNU General Public License version 3.
Main features:
    * Three types of roles: circular dock, media controller and linear
      dock;
    * Can dock in any screen position and be used in Horizontal or
      Vertical mode (linear dock role);
    * Configuration tools to access all configurable options;
    * Launchers can be edited with a simple right-click;
    * Hybrid launchers to launch applications and control running
      tasks;
    * Plugins to provide information and execute several tasks;
    * Various backgrounds available.

%files -f plasma_applet_daisy.lang
%defattr(-,root,root)
%doc README AUTHORS CHANGELOG COPYING INSTALL TODO
%_kde_libdir/kde4/plasma_applet_daisy.so
%_kde_services/plasma-applet-daisy.desktop
%{_datadir}/apps/desktoptheme/default/widgets/

#---------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang plasma_applet_daisy

%clean
%__rm -rf %{buildroot}


%changelog
* Tue Sep 22 2009 John Balcaen <mikala@mandriva.org> 0.0.4.20-1mdv2010.0
+ Revision: 447024
- Update to 0.0.4.20
- Rediff Patch 0

* Sat Sep 12 2009 John Balcaen <mikala@mandriva.org> 0.0.4.19-2mdv2010.0
+ Revision: 438561
- Fix plasma applet category
- Spec clean
- Fix doc (missing COPYING)

* Tue Aug 11 2009 John Balcaen <mikala@mandriva.org> 0.0.4.19-1mdv2010.0
+ Revision: 414846
- import plasma-applet-daisy

